(*
 *                                                                                             .
 * Module name: nfGUI.dpr; Module type: Delphi (GUI) project; Language: Object pascal;         .
 * Original developed with: Delphi 5 Enterprise; Portability: most likely down to Delphi 2;    .
 *                                                                                             .
 * Author: ~SoffyT (web:<http://www.nefzger.at/~SoffyT/>; mailto:<MissyQueen@nefzger.at>)      .
 * File created: Tue., 2003-07-01; Last modified: Mon., 2005-10-22                             .
 *                                                                                             .
 * Bug report: Report all bugs, wishes, suggestions etc. to <BugReport@nefzger.at>.            .
 *                                                                                             .
 *  Purpose:                                                                                   .
 * ----------                                                                                  .
 *    GUI wrapper for nf.dpr (which is a console wrapper for Fakultaet.pas)                    .
 *                                                                                             .
 *)

{$APPTYPE GUI}
program
   nfGUI;

uses
   // Delphi 5 -- Native                                                                       .
   SysUtils,
   Forms,
   Dialogs,
   // Utilities aus <core_utilities\>                                                          .
   Misc_Utilities   in '..\core_utilities\Misc_Utilities.pas',
   Dialog_Utilities in '..\core_utilities\Dialog_Utilities.pas',
   // Defaults & Classes aus <core_classes\>                                                   .
   Defs             in '..\core_classes\Defs.pas',
   // Programmspezifisch -- GUI                                                                .
   nfGUI_u_Frame    in 'nfGUI_u_Frame.pas' {FnfGUIHelper_Frame: TFrame},
   nfGUI_u          in 'nfGUI_u.pas' {FnfGUIHelper};

{$R *.RES}
{$R 'nfGUI.verinfo.res'}       // generiert mit VerGen.exe Copyright (c) 2002, 2005 ~MNe :-)   .

begin
   if (FileExists(appGetApplicationPath() + NF_EXE_NAME)) then begin
      Application.Title := 'nf GUI wrapper';
      Application.CreateForm(TFnfGUIHelper,FnfGUIHelper);
      Application.Run();
   end else begin
      MessageDlg('Fatal:' + CRCR +
                 'This programm requires ''' + NF_EXE_NAME + '''.' + CRCR +
                 'Pls. download from ''http://www.nefzger.at/~SoffyT/''.',
                 mtError,[mbOK],0);
   end;
end.

